//
//        Source: hidrelay_status.c
//         Title: Return a word for the state of the given relay
//
// Last Modified: 2022-12-29 13:31:37
//

#include "hidrelay.h"

char *hidrelay_status(unsigned char state) {
    char *word;
    switch(state) {
    case HIDRELAY_ON:
        word = "ON";
        break;
    case HIDRELAY_OFF:
        word = "OFF";
        break;
    case 0:
        word = "N/C";
        break;
    default:
        word = "UNKNOWN";
        break;
    }
    return(word);
}
