/*

	strincmp - string compare & ignore case, maxlen=n
		not particularly fast.

*/
#include "local.h"

int strincmp(aa, bb, n)
char	*aa;
char	*bb;
int	n;
{
	register char	a,b;

        if (aa == NULL && bb == NULL) return(0);
        if (aa == NULL) return( -1 );
        if (bb == NULL) return( 1 );

	for ( ;*aa && *bb && n; aa++, bb++, n--) {
		a = (*aa >= 'a' && *aa <= 'z') ? *aa & 0xdf : *aa;
		b = (*bb >= 'a' && *bb <= 'z') ? *bb & 0xdf : *bb;
		if ( a < b ) return(-1);
		if ( a > b ) return(1);
	}
	if(n) {
		if(*aa) return(1);
		if(*bb) return(-1);
	}
	return(0);
}
