/*

strargs - breaks string up into individual elements *argv[] style

returns malloc'd ** to the values NULL terminated.
*/

#include "local.h"
#include <string.h>
#include <malloc.h>

#define A_SIZE (sizeof(char **) * 20)

char **strargs(s)
char *s;
{
    char **ar;
    char *p;
    unsigned int ar_size;
    unsigned int ix;

    ar_size = A_SIZE;
    ar = (char **)malloc(ar_size);
    ix = 0;

    for(p = s; *p ;) {
        for(;*p && (*p == ' ' || *p == '\t'); p++) *p = 0;
        if(*p) {
            ar[ix++] = p;
            if(ix == ar_size) {
                ar_size += A_SIZE;
                ar = (char **) realloc(ar, ar_size);
            }
            for(;*p && !(*p == ' ' || *p == '\t'); p++);
        }
    }
    ar[ix] = NULL;
    return(ar);
}
