/*----------------------------------------------------------------------
strcpos - return position of char cc in string aa

Modification History:

2003/01/04 Keith Edwin Smith
o Added strrcpos
----------------------------------------------------------------------*/
#include "local.h"

int strcpos(aa, cc)
const char    *aa;
int    cc;
{
    register int i;
    if(aa == NULL) return(-1);
    for(i=0; *aa && (*aa != cc); i++, aa++);
    if(*aa) return(i);
    return(-1);
}

int strrcpos(aa, cc)
const char    *aa;
int    cc;
{
    register int i;
    register const char *p;

    if(aa == NULL) return(-1);
    p = aa;
    i = 0;
    while(*p) p++, i++;
    for(; p != aa && (*p != cc); i--, p--);
    if(*aa) return(i);
    return(-1);
}

